#!/bin/bash

MAINDIR=`pwd`

wget -O InsightToolkit-3.20.1.tar.gz http://sourceforge.net/projects/itk/files/itk/3.20/InsightToolkit-3.20.1.tar.gz/download

tar -xzvf InsightToolkit-3.20.1.tar.gz


mkdir InsightToolkit-3.20.1/build

ITKPATH=$MAINDIR/InsightToolkit-3.20.1/build
cd $ITKPATH/

make clean

cmake \
-D BUILD_TESTING:BOOL=OFF \
-D BUILD_EXAMPLES:BOOL=OFF \
-D CMAKE_CXX_FLAGS:STRING="-fPIC" \
-D ITK_USE_REVIEW:BOOL= OFF \
-D BUILD_SHARED_LIBS:BOOL=ON \
-D ITK_USE_REVIEW:BOOL=ON \
-D ITK_USE_REVIEW_STATISTICS:BOOL=ON \
-D CMAKE_BUILD_TYPE:STRING="Release" \
../

make -j 10

cd $MAINDIR

rm InsightToolkit-3.20.1.tar.gz


LadderPATH=$MAINDIR/Ladder/build
mkdir $LadderPATH
cd $LadderPATH

cmake \
-D CMAKE_CXX_FLAGS:STRING="-fPIC" \
-D ITK_DIR:FILEPATH="$ITKPATH" \
../

make -j 10
cd $MAINDIR



